1 Reply Latest reply on Dec 25, 2015 4:03 AM by Yong Ning

    How to insert bolt in assembly with API?

    Yong Ning

      Ekran%20Al%C4%B1nt%C4%B1s%C4%B1.JPG

       

      Hope insert Hex Bolt in assembly with API

       

      0.jpg

       

       

      Follow tips is Hole Feature.

       

      WizardHoleFeatureData2 API problem | SOLIDWORKS Forums

      https://forum.solidworks.com/message/388489#388489

       

       

      Hex bolt or lock washer? | SOLIDWORKS Forums

      https://forum.solidworks.com/message/210303#210303

       

       

       

      No bolt | SOLIDWORKS Forums

      https://forum.solidworks.com/message/547648#547648

       

       

       

      Edit Hole Wizard | SOLIDWORKS Forums

      https://forum.solidworks.com/message/221832#221832

       

       

      What is the correct call out? | SOLIDWORKS Forums

      https://forum.solidworks.com/message/521791#521791

       

       

      API: WizardHoleFeatureData2::Diameter | SOLIDWORKS Forums

      https://forum.solidworks.com/message/11566#11566

        • Re: How to insert bolt in assembly with API?
          Yong Ning

          Now,

          Hole wizard feature is created  on the selected face of the model.

           

           

          Option Explicit

           

          Dim swApp As SldWorks.SldWorks

          Dim swModel As SldWorks.ModelDoc2

          Dim swModelDocExt As SldWorks.ModelDocExtension

          Dim swFeatMgr As SldWorks.FeatureManager

          Dim swFeat As SldWorks.Feature

          Dim swWzdHole As WizardHoleFeatureData2

          Dim swFeatDataObj As Object

          Dim boolstatus As Boolean

           

          Sub main()

           

          Set swApp = Application.SldWorks

          Set swModel = swApp.ActiveDoc

          Set swModelDocExt = swModel.Extension

          Set swFeatMgr = swModel.FeatureManager

           

          ' Create the hole wizard feature data object

          Set swFeatDataObj = swFeatMgr.CreateDefinition(swFmHoleWzd)

           

          Set swWzdHole = swFeatDataObj

          ' Initialize the hole wizard feature

          swWzdHole.InitializeHole swWzdCounterBore, swStandardISO, swStandardISOHexBolt, "M16", swEndCondBlind

          'Change the hole wizard feature's depth

          swWzdHole.HoleDepth = 0.015

          'Change the hole wizard feature's diameter

          swWzdHole.HoleDiameter = 0.016

           

          ' Select the face on which to create the hole

          boolstatus = swModelDocExt.SelectByID2("", "FACE", 0#, -0, 0, False, 0, Nothing, 0)

          ' Create the hole wizard feature

          Set swFeat = swFeatMgr.CreateFeature(swWzdHole)

           

          End Sub

           

           

          *****************

          Hope get Insert Bolt code in assembly with API.